# Class CIM_ClassifierElement
extends CIM_ClassifierService

ClassifierElement represents the linkage, within a single ClassifierService, between a FilterList (that defines the criteria to select packets from the stream of packets coming into the Service) and the next ConditioningService (to which the selected packets go after they leave the ClassifierService). ClassifierElement has no properties of its own. It is present to serve as an aggregated entity into ClassifierService (using the ClassifierElementIn ClassifierService association), and for associations with its FilterList (ClassifierElementUsesFilterList) and its next ConditioningService (NextServiceAfterClassifierElement). Note that a ClassifierElement may be associated with a ClassifierService through the NextServiceAfterClassifier Element association. This will occur when implementing hierarchical classification. In this case, the ClassifierElement MUST NOT instantiate the ClassifierElement UsesFilterList association. Further, when a ClassifierElement is associated with a ClassifierService as described above, the order of processing of the associated ClassifierService is a function of the ClassifierOrder property of the ClassifierElementInClassifierService aggregation.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Service
|
+--CIM_ConditioningService
|
+--CIM_ClassifierService
|
+--CIM_ClassifierElement

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

ClassifierElement represents the linkage, within a single ClassifierService, between a FilterList (that defines the criteria to select packets from the stream of packets coming into the Service) and the next ConditioningService (to which the selected packets go after they leave the ClassifierService). ClassifierElement has no properties of its own. It is present to serve as an aggregated entity into ClassifierService (using the ClassifierElementIn ClassifierService association), and for associations with its FilterList (ClassifierElementUsesFilterList) and its next ConditioningService (NextServiceAfterClassifierElement). Note that a ClassifierElement may be associated with a ClassifierService through the NextServiceAfterClassifier Element association. This will occur when implementing hierarchical classification. In this case, the ClassifierElement MUST NOT instantiate the ClassifierElement UsesFilterList association. Further, when a ClassifierElement is associated with a ClassifierService as described above, the order of processing of the associated ClassifierService is a function of the ClassifierOrder property of the ClassifierElementInClassifierService aggregation.

UMLPackagePath | string | CIM::Network::QoS
Version | string | 2.7.0

## Class Properties

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Service
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
Enabled | boolean | CIM_ConditioningService
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
Name | string | CIM_Service
OperatingStatus | uint16 | CIM_ManagedSystemElement
OtherEnabledState | string | CIM_EnabledLogicalElement
PrimaryOwnerContact | string | CIM_Service
PrimaryOwnerName | string | CIM_Service
PrimaryStatus | uint16 | CIM_ManagedSystemElement
RequestedState | uint16 | CIM_EnabledLogicalElement
Started | boolean | CIM_Service
StartMode | string | CIM_Service
Status | string | CIM_ManagedSystemElement
SystemCreationClassName | string | CIM_Service
SystemName | string | CIM_Service
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement
StartService | uint32 | CIM_Service
StopService | uint32 | CIM_Service